﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManageOrder.Application.Service.Order.Dtos
{
    public class OrderInsertDto
    {
        /// <summary> 
        ///场景id
        /// </summary> 
        public string StoreId { get; set; }
        /// <summary> 
        /// 商户订单号,由商家自定义
        /// </summary> 
        public string TradeNo { get; set; }
        ///// <summary> 
        ///// 订单状态 0未付款,1已付款,-1退单申请,-2退单中,-3已退单,-4取消交易 -5撤销申请 
        ///// </summary> 
        //public int OrderStatus { get; set; }
        /// <summary> 
        /// 订单总金额
        /// </summary> 
        public decimal TotalAmount { get; set; }
        /// <summary>   
        /// 订单数量 
        /// </summary> 
        public int OrderCount { get; set; }
        /// <summary> 
        /// 订单标题 
        /// </summary> 
        public string Subject { get; set; }
        public List<Orderdetail> Orderdetail { get; set; }
    }
    public class Orderdetail
    {
        public string GoodsNumber { get; set; }
        public string GoodsId { get; set; }
        public string GoodsName { get; set; }
        public List<GoodsAttr> GoodsAttr { get; set; }
        /// <summary>
        /// 是否自定义配方
        /// </summary>
        public bool isCustom { get; set; }
        /// <summary>
        /// 工艺配方详情
        /// </summary>
        public List<FormulaDetail> FormulaDetail { get; set; }
    }
    public class GoodsAttr
    {
        public string GoodsId { get; set; }
        public string AttributeId { get; set; }
        public string AttributeName { get; set; }
        public int Count { get; set; }
        public decimal Price { get; set; }
    }
    public class FormulaDetail
    {
        public string DeviceId { get; set; }
        public string GoodsId { get; set; }
        public string TechnologyId { get; set; }
        public string ActionName { get; set; }
        public string ActionValue { get; set; }
        public int Sort { get; set; }
    }
}
