﻿using BPA.SAAS.KitChenManageOrder.Core.Entity.Base;
using SqlSugar;

namespace BPA.SAAS.KitChenManageOrder.Core.Entity
{
    [SugarTable("bpa_suborder")]
    public class BPA_SubOrder: IBaseEntity, IGroupId
    {

        /// <summary> 
        /// 主订单表Id 
        /// </summary> 
        public string OrderId { get; set; }
        /// <summary> 
        /// 商品表Id 
        /// </summary> 
        public string GoodsId { get; set; }
        public string GoodsName { get; set; }
        /// <summary> 
        /// 是否自定义配方 
        /// </summary> 
        public bool isCustom { get; set; }
        /// <summary> 
        /// 商品编号（第三方商品编号）
        /// </summary> 
        public string GoodsNumber { get; set; }
        public string GroupId { get ; set; }
    }
}
