﻿using Furion;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManageOrder.Core.Entity.Base
{
    /// <summary>
    /// 基础类型
    /// </summary>
    public abstract class IBaseEntity
    {
       
        /// <summary>
        /// 主键 Guid
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; } = Guid.NewGuid().ToString();
        public DateTime CreateAt { get; set; } = DateTime.Now;
        public string CreateBy { get; set; }
    }
}
