﻿using BPA.SAAS.KitChenManageOrder.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManageOrder.Core.Entity
{

    [SugarTable("bpa_order")]
    public class BPA_Order: IBaseEntity,IGroupId
    {
        /// <summary> 
        ///场景id
        /// </summary> 
        public string StoreId { get; set; }
        public string OrderNumber { get; set; }
        /// <summary> 
        /// 商户订单号,由商家自定义
        /// </summary> 
        public string TradeNo { get; set; }
        /// <summary> 
        /// 订单状态 0成功 1失败
        /// </summary> 
        public int OrderStatus { get; set; }
        /// <summary> 
        /// 订单总金额
        /// </summary> 
        public decimal TotalAmount { get; set; }
        /// <summary>   
        /// 订单数量 
        /// </summary> 
        public int OrderCount { get; set; }
        /// <summary> 
        /// 订单标题 
        /// </summary> 
        public string Subject { get; set; }
        public string GroupId { get ; set; }
    }
}
